Subject: rewinding interactive rebases

From: Oswald Buddenhagen <[email-masked]>
Date: Mon, 21 Feb 2022 20:06:18 +0100

heya,

this post is basically a continuation of 
https://public-inbox.org/git/[email-masked]/ 
("Is there any way to "interrupt" a rebase?"), but i thought it's 
probably better to start a new thread rather than to revive a zombie.

the basic problem is that during significant reworks of (complex) 
branches, one will inevitably find oneself in the situation of wanting 
to "go back" in the process. fixup commits aren't always optimal, as 
subsequent re-ordering may cause conflicts. doing the amend in the right 
place to start with cuts away one of the conflict resolutions.

the solution to this is actually rather simple, as demonstrated by the 
attached script.

somebody feels like rewriting this as a nice 'git rebase --rewind' 
subcommand?

thanks